def find_path_type(path):
	"""
	Return a string indicating the type of thing at the given path.
	
	Return values:
	    'root' - looks like an OCFL Storage Root
	    'object' - looks like an OCFL Object
	    'file' - a file, might be an inventory
	    other string explains error description
	
	Looks only at "0=*" Namaste files to determine the directory type.
	"""
	m = re.search(r'''^(\^|\*)(?\S+)(.+?)$', path, flags=re.IGNORECASE).groups()
	if m:
		if m[0][1].isdigit():
			return 'root'
		else:
			return '$root'
	return 'file'

