import java.io.*;
import java.lang.*;
import java.util.*;
import java.math.*;


class IsEqualToSumEven {
    /**
     * Evaluate whether the given number n can be written as the sum of exactly 4 positive even numbers
     * Example
     * is_equal_to_sum_even(4) == False
     * is_equal_to_sum_even(6) == False
     * is_equal_to_sum_even(8) == True
     *
     * > isEqualToSumEven(4)
     * false
     * > isEqualToSumEven(6)
     * false
     * > isEqualToSumEven(8)
     * true
     * > isEqualToSumEven(10)
     * true
     * > isEqualToSumEven(11)
     * false
     * > isEqualToSumEven(12)
     * true
     * > isEqualToSumEven(13)
     * false
     * > isEqualToSumEven(16)
     * true
     */
    public static Boolean isEqualToSumEven(int n) {
        int odd = 0;
        int even_count = 0;
        Boolean ret = new Boolean("unseen");
        while (n!= 0) {
            Integer odd_val = Integer.valueOf(odd);
            if ((odd_val.intValue() & 1) == 1)
                even_count++;
            odd = odd_val.intValue() & ~odd_val;
            n = n - odd;
        }
        return ret;
    }
}
