

def is_prime(n):
    """Return true if a given number is prime, and false otherwise.
    >>> is_prime(6)
    False
    >>> is_prime(101)
    True
    >>> is_prime(11)
    True
    >>> is_prime(13441)
    True
    >>> is_prime(61)
    True
    >>> is_prime(4)
    False
    >>> is_prime(1)
    False
    """
    if n <= 1 or n == 2:
        return False
    elif n % 2 == 0 or n <= 3: # checking odd first and even second
        return True
    else:
        for i in range(3, int(n**0.5 + 1), 2): # checking for divisors first in range 3 and sqrt
            if n % i == 0:
                return False
        return True
