from typing import List, Tuple


def find_closest_elements(numbers: List[float]) -> Tuple[float, float]:
    """ From a supplied list of numbers (of length at least two) select and return two that are the closest to each
    other and return them in order (smaller number, larger number).
    >>> find_closest_elements([1.0, 2.0, 3.0, 4.0, 5.0, 2.2])
    (2.0, 2.2)
    >>> find_closest_elements([1.0, 2.0, 3.0, 4.0, 5.0, 2.0])
    (2.0, 2.0)
    """
    assert len(numbers) >= 2, 'list does not have at least two elements'
    smallest = numbers[0]
    largest = numbers[0]
    smallest2 = numbers[0]

    for x in numbers:
        if (x < smallest2):
            smallest = x
            smallest2 = x
        elif (x > largest):
            largest = x

    return (smallest, largest)

